Bug 127502 - -r option dumps core on x86_64
-r option dumps core on x86_64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sox (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-08 20:23 EDT by Sam Varshavchik
Modified: 2014-03-16 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-09 17:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix 64bit issue on Opteron. (417 bytes, patch)
2004-07-08 20:24 EDT, Sam Varshavchik
no flags Details | Diff

  None (edit)
Description Sam Varshavchik 2004-07-08 20:23:06 EDT
Description of problem:

This is an opteron-specific bug.

Version-Release number of selected component (if applicable):

sox-12.17.4-2.1

How reproducible:

Always

Steps to Reproduce:
1.  Make sure open office is installed.
2.  sox -t wav /usr/lib/ooo-1.1/share/gallery/sounds/train.wav -r 8000
train.raw
  
Actual results:

[mrsam@commodore sox-12.17.4-2.1]$ sox -t wav
/usr/lib/ooo-1.1/share/gallery/sounds/train.wav -r 8000 train.raw
Segmentation fault

Additional info:

Patch submitted upstream.  Given recent activity level upstream I'm
not sure when to expect a new release that fixes this.
Comment 1 Sam Varshavchik 2004-07-08 20:24:19 EDT
Created attachment 101736 [details]
Patch to fix 64bit issue on Opteron.

Upstream tracker, FWIW:

http://sourceforge.net/tracker/index.php?func=detail&aid=987658&group_id=10706&atid=310706
Comment 2 Bill Nottingham 2004-07-09 17:10:06 EDT
Fixed in -4, thanks!
Comment 3 Mark J. Cox (Product Security) 2004-07-29 15:10:34 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-409.html

Note You need to log in before you can comment on or make changes to this bug.